Name:          astyle
Version:       3.6.9
Release:       1mamba
Summary:       A free, fast and small automatic Formatter for C, C++, C#, and Java source code
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://astyle.sourceforge.net/
Source:        https://sourceforge.net/projects/astyle/files/astyle/astyle%20%{majorminor}/astyle-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Artistic Style is a source code indenter, formatter, and beautifier for the C, C++, C# and Java programming languages.


%prep
%setup -q

%build
%make -C build/gcc \
  CFLAGS="-DNDEBUG %{optflags}" \
  LDFLAGS="-v" # LDFLAGS needs to be set or -s (strip) is applied

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m 0755 build/gcc/bin/astyle %{buildroot}%{_bindir}/astyle 

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%doc doc/*

%changelog
* Thu Apr 24 2025 Automatic Build System <autodist@openmamba.org> 3.6.9-1mamba
- automatic version update by autodist

* Thu Mar 27 2025 Automatic Build System <autodist@openmamba.org> 3.6.8-1mamba
- automatic version update by autodist

* Fri Feb 28 2025 Automatic Build System <autodist@openmamba.org> 3.6.7-1mamba
- automatic version update by autodist

* Tue Dec 24 2024 Automatic Build System <autodist@openmamba.org> 3.6.6-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Automatic Build System <autodist@openmamba.org> 3.6.5-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 3.6.4-1mamba
- automatic version update by autodist

* Wed Oct 02 2024 Automatic Build System <autodist@openmamba.org> 3.6.3-1mamba
- automatic version update by autodist

* Thu Sep 12 2024 Automatic Build System <autodist@openmamba.org> 3.6.2-1mamba
- automatic version update by autodist

* Fri Sep 06 2024 Automatic Build System <autodist@openmamba.org> 3.6.1-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 3.6-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 3.4.13-1mamba
- automatic version update by autodist

* Wed Feb 07 2024 Automatic Build System <autodist@openmamba.org> 3.4.12-1mamba
- automatic version update by autodist

* Wed Jan 10 2024 Automatic Build System <autodist@openmamba.org> 3.4.11-1mamba
- automatic version update by autodist

* Sun Oct 22 2023 Automatic Build System <autodist@mambasoft.it> 3.4.10-1mamba
- automatic version update by autodist

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 3.4.9-1mamba
- automatic version update by autodist

* Sun Sep 24 2023 Automatic Build System <autodist@mambasoft.it> 3.4.8-1mamba
- automatic version update by autodist

* Sun Sep 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.6-1mamba
- update to 3.4.6

* Sat Jan 27 2018 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Sat Jun 03 2017 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Thu Jan 12 2017 Automatic Build System <autodist@mambasoft.it> 2.06-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 2.05.1-1mamba
- automatic version update by autodist

* Wed Nov 19 2014 Automatic Build System <autodist@mambasoft.it> 2.05-1mamba
- automatic version update by autodist

* Mon Dec 30 2013 Automatic Build System <autodist@mambasoft.it> 2.04-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 2.03-1mamba
- automatic version update by autodist

* Thu Jul 12 2012 Automatic Build System <autodist@mambasoft.it> 2.02.1-1mamba
- automatic version update by autodist

* Mon Aug 30 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.24-1mamba
- package created by autospec
